./games/xemeraldia, Game of breaking blocks

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]

Branch: CURRENT, Version: 0.31nb6, Package name: xemeraldia-0.31nb6, Maintainer: pkgsrc-users

This is version 0.3 of xemeraldia.

Drop the blocks. If you drop a square on top of one of the same
color, they (as well as any neighboring blocks of the same color) will
both be shaken by an "impact". The first impact will cause fractures;
the second will cause the block(s) to dissolve.

You can either use the arrow keys or vi-style (hjkl) keys to move/
rotate the blocks. `s' or `p' will pause the game, and if your boss
comes along, `q' can be used to avoid an unpleasant confrontation.

Required to build:
[pkgtools/x11-links] [pkgtools/cwrappers]

Master sites:

SHA1: 23034527a0fcd6188d7b4cd57b4129b16bf3ddc6
RMD160: 870c4c4d856665d31ce4c1d81ade921297fa09a7
Filesize: 16.068 KB

Version history: (Expand)

CVS history: (Expand)

   2018-01-14 18:34:02 by Roland Illig | Files touched by this commit (58)
Log message:
games/*: fix alignment of variable values

pkglint -Wall -r --autofix --only aligned

After running the above command, three packages had to be adjusted

In maelstrom-x11, pkglint didn't see that a commented variable
assignment should have been re-aligned as well.

In netmaze, there was a single line that didn't align well with all the
others, but pkglint decided to adjust the whole paragraph to this single
line. The result would have been ok, but not good.

In tscp, there was a paragraph where some of the lines were indented
one space more than the others. This rule is useful when one variable
name is very long compared to the others, but not in this case.
   2018-01-14 16:26:49 by Roland Illig | Files touched by this commit (37)
Log message:
pkgsrc doesn't support PREFIX with spaces or other special characters.
Therefore it is not necessary to add the :Q modifier to this variable
and several others.

pkglint -r -Wall --autofix --only :Q
   2015-11-03 21:57:10 by Alistair G. Crooks | Files touched by this commit (350)
Log message:
Add SHA512 digests for distfiles for games category

Problems found locating distfiles:
	Package blokus: missing distfile blokus-1.1.tar.gz
	Package crossfire-client: missing distfile crossfire-client-images-1.11.0.tar.gz
	Package dungeon: missing distfile dungeon-gdt-glk.tar.gz
	Package gate88: missing distfile Gate88_Mar19_05.tar.gz
	Package gnuchess4: missing distfile gnuchess-4.0.pl80.tar.gz
	Package ioquake3-pk3: missing distfile quake3-latest-pk3s.zip
	Package rollemup: missing distfile Rollemup.tar.gz
	Package tscp: missing distfile tscp181.zip
	Package xbat: missing distfile xev111.tar.gz
	Package xgalaga: missing distfile xgalaga-2.0.34.tar.gz
	Package xrick: missing distfile xrick-021212.tgz
	Package xskat: missing distfile xskat-cards.tar.gz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2012-10-06 13:55:05 by Aleksej Saushev | Files touched by this commit (310)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
   2012-05-03 11:55:33 by OBATA Akio | Files touched by this commit (36) | Package updated
Log message:
Drop dependency on libXp (from Imake)

* libXp was used by Xaw8, but it had been obsolated, and in pkgsrc,
  x11/libXaw/buildlink3.mk had been switched to pick up Xaw7 by default.
* With x11/xorg-cf-files, libXp was offered with XawClientLibs,
  but updated to 1.0.4, it was removed.
* And pkgsrc had been switched to use always xorg-cf-files and imake from pkgsrc,
  so all platforms should not require libXp from libXaw with Imake.

   2010-02-19 22:47:06 by Joerg Sonnenberger | Files touched by this commit (1)
Log message:
SETGIDGAME. Bump revision.
   2009-06-14 19:57:02 by Joerg Sonnenberger | Files touched by this commit (215)
Log message:
Remove @dirrm entries from PLISTs
   2008-11-10 18:21:40 by Thomas Klausner | Files touched by this commit (147) | Package updated
Log message:
Bump PKGREVISION for libXaw API depends bump due to libXaw8 removal.